import ProxyService from '../services/proxy.js';

class CaptchaController {
    async add(req, res) {
        try {
            const { proto, host, port, username, password } = req.body;
            if (!proto || !host || !port) return res.status(400).send({"message":"You must specify proto, host and port!"});

            const id = await ProxyService.add(proto, host, port, username, password);

            return res.status(200).send({"id": id});
        }  catch (e) {
            console.log(e)
            return res.status(500).send({"message": "Unknown server error"});
        }
    }

    async delete (req, res) {
        try {
            const id = req.params.id;
            await ProxyService.delete(id)
            return res.status(200).send({"message": "Successful"});
        } catch (e) {
            console.log(e)
            return res.status(500).send({"message": "Unknown server error"});
        }
        
    }
}

export default new CaptchaController();